aboutsummaryrefslogtreecommitdiff
path: root/patches/php
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-05-05 02:00:38 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-05-05 02:00:38 +0000
commitfd7585bd214393ff2b1988bc7c7cee361365e55e (patch)
treec43183e07cfcda5c371b28ea64acd522da0f2273 /patches/php
parentac89f6fa23fd88c9d7adb5e5baa285aba5536c3a (diff)
downloadslackbuilds-fd7585bd214393ff2b1988bc7c7cee361365e55e.tar.gz
slackbuilds-fd7585bd214393ff2b1988bc7c7cee361365e55e.tar.bz2
updated patches/php
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1213 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'patches/php')
-rw-r--r--patches/php/php-with-_lib-4.4.7.diff.gzbin0 -> 18828 bytes
-rwxr-xr-xpatches/php/php.SlackBuild60
2 files changed, 44 insertions, 16 deletions
diff --git a/patches/php/php-with-_lib-4.4.7.diff.gz b/patches/php/php-with-_lib-4.4.7.diff.gz
new file mode 100644
index 00000000..ffa0125a
--- /dev/null
+++ b/patches/php/php-with-_lib-4.4.7.diff.gz
Binary files differ
diff --git a/patches/php/php.SlackBuild b/patches/php/php.SlackBuild
index f15bbe78..8266d183 100755
--- a/patches/php/php.SlackBuild
+++ b/patches/php/php.SlackBuild
@@ -28,7 +28,7 @@ elif [ -f /etc/slackbuildrc ]; then
fi
PACKAGE="php"
-VERSION=${VERSION:=4.4.5}
+VERSION=${VERSION:=4.4.7}
PINE=${PINE:=4.64}
ARCH=${ARCH:=i486}
BUILD=${BUILD:=1rha}
@@ -49,16 +49,16 @@ URL="http://mirror.pacific.net.au/linux/slackware/slackware-10.2/patches/source/
#URL="http://br.php.net/get/$SRC/from/this/mirror"
# pear modules
-DB="DB-1.7.6.tgz"
+DB="DB-1.7.11.tgz"
HTTP="HTTP-1.4.0.tgz"
-MAIL="Mail-1.1.9.tgz"
-SMTP="Net_SMTP-1.2.8.tgz"
-SOCKET="Net_Socket-1.0.6.tgz"
-PARSER="XML_Parser-1.2.7.tgz"
-RPC="XML_RPC-1.4.5.tgz"
-TAR="Archive_Tar-1.3.1.tgz"
-GETOPT="Console_Getopt-1.2.tgz"
-TEMPLATE="HTML_Template_IT-1.1.3.tgz"
+MAIL="Mail-1.1.1.4.tgz"
+SMTP="Net_SMTP-1.2.10.tgz"
+SOCKET="Net_Socket-1.0.8.tgz"
+PARSER="XML_Parser-1.2.8.tgz"
+RPC="XML_RPC-1.5.1.tgz"
+TAR="Archive_Tar-1.3.2.tgz"
+GETOPT="Console_Getopt-1.2.2.tgz"
+TEMPLATE="HTML_Template_IT-1.2.1.tgz"
PEAR="http://pear.php.net/get"
@@ -146,7 +146,6 @@ CFLAGS="$SLKCFLAGS" \
--with-_lib=$LIB \
--libdir=$LIBDIR \
--sysconfdir=/etc \
- --enable-discard-path \
--with-config-file-path=/etc/apache \
--enable-safe-mode \
--with-openssl \
@@ -157,6 +156,7 @@ CFLAGS="$SLKCFLAGS" \
--enable-calendar \
--enable-ctype \
--with-gdbm \
+ --with-db4 \
--with-imap-ssl=$IMAPLIBDIR \
--with-imap=$IMAPLIBDIR \
--enable-dbase \
@@ -169,6 +169,8 @@ CFLAGS="$SLKCFLAGS" \
--enable-gd-native-ttf \
--with-jpeg-dir=/usr \
--with-png \
+ --with-ttf \
+ --with-freetype-dir=/usr \
--with-gmp \
--enable-mbstring \
--with-curl=/usr \
@@ -185,6 +187,7 @@ CFLAGS="$SLKCFLAGS" \
--with-regex=php \
--enable-sysvsem \
--enable-sysvshm \
+ --enable-yp \
--enable-memory-limit \
--with-tsrm-pthreads \
--enable-shared \
@@ -195,6 +198,7 @@ CFLAGS="$SLKCFLAGS" \
# --with-ttf # this links with the shlib, need X for that
# --with-java # no thanks
+ # TODO: check if it still happens
# strange bug, http://bugs.php.net/bug.php?id=31193
sed -e 's/^EXTRA_LIBS\(.*\)/EXTRA_LIBS\1 -liconv/' Makefile > Makefile.new
mv Makefile.new Makefile
@@ -209,7 +213,7 @@ mkdir -p $PKG/etc/apache
cat /etc/apache/httpd.conf.default > $PKG/etc/apache/httpd.conf
cd $TMP
rm -rf php-$VERSION
-tar xjvf $SRC_DIR/$SRC || exit $ERROR_TAR
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
# Add missing(?) PEAR modules back:
( cd php-$VERSION/pear/packages
@@ -265,7 +269,7 @@ fi
# Make the Apache module version of PHP:
echo "***START APACHE MODULE***"
-php_configure --disable-static --with-apxs=/usr/sbin/apxs || exit $ERROR_CONF
+php_configure --disable-static --with-apxs=/usr/sbin/apxs --enable-discard-path || exit $ERROR_CONF
make -j3 || exit $ERROR_MAKE
make install INSTALL_ROOT=$PKG || exit $ERROR_INSTALL
make distclean
@@ -281,6 +285,10 @@ make install-cli INSTALL_ROOT=$PKG || exit $ERROR_INSTALL
chmod 755 $PKG/usr/bin/php
chown root.bin $PKG/usr/bin/php
+# Install the CGI/FastCGI interpreter:
+cat sapi/cgi/php > $PKG/usr/bin/php-cgi
+chmod 755 $PKG/usr/bin/php-cgi
+
# PHP 4.4.2 seems to be throwing some junk in the root directory:
( cd $PKG
rm -rf .channels .depdb .depdblock .filemap .lock .registry
@@ -289,12 +297,32 @@ chown root.bin $PKG/usr/bin/php
if [ "$ARCH" == "x86_64" ]; then
# Fix $PKG/usr/lib64/php perms:
( cd $PKG/usr/lib64/php
- find . -perm 666 -exec chmod 644 {} \;
+ find . -perm 666 -exec chmod 644 {} \;
+ find . -perm 664 -exec chmod 644 {} \;
+ find . -perm 600 -exec chmod 644 {} \;
+ find . -perm 444 -exec chmod 644 {} \;
+ find . -perm 400 -exec chmod 644 {} \;
+ find . -perm 440 -exec chmod 644 {} \;
+ find . -perm 777 -exec chmod 755 {} \;
+ find . -perm 775 -exec chmod 755 {} \;
+ find . -perm 511 -exec chmod 755 {} \;
+ find . -perm 711 -exec chmod 755 {} \;
+ find . -perm 555 -exec chmod 755 {} \;
)
else
# Fix $PKG/usr/lib/php perms:
( cd $PKG/usr/lib/php
find . -perm 666 -exec chmod 644 {} \;
+ find . -perm 664 -exec chmod 644 {} \;
+ find . -perm 600 -exec chmod 644 {} \;
+ find . -perm 444 -exec chmod 644 {} \;
+ find . -perm 400 -exec chmod 644 {} \;
+ find . -perm 440 -exec chmod 644 {} \;
+ find . -perm 777 -exec chmod 755 {} \;
+ find . -perm 775 -exec chmod 755 {} \;
+ find . -perm 511 -exec chmod 755 {} \;
+ find . -perm 711 -exec chmod 755 {} \;
+ find . -perm 555 -exec chmod 755 {} \;
)
fi
@@ -303,13 +331,13 @@ cp -a \
CODING_STANDARDS CREDITS EXTENSIONS INSTALL LICENSE NEWS README* TODO* \
sapi/cgi/README.FastCGI \
$PKG/usr/doc/php-$VERSION
-chown -R root.root $PKG/usr/doc/php-$VERSION
+chown -R root:root $PKG/usr/doc/php-$VERSION
mkdir -p $PKG/etc/apache
cp -a php.ini-dist php.ini-recommended $PKG/etc/apache
cp -a $CWD/mod_php.conf.example $PKG/etc/apache
chmod 644 $PKG/etc/apache/*
-chown root.root $PKG/etc/apache/*
+chown root:root $PKG/etc/apache/*
rm -f $PKG/etc/apache/httpd*